'use strict';

/**
 * CLD办事处(和CLD里ID相对应)
 *
 * @author CaiAoLin
 * @date 2017/10/31
 * @version
 */
const officeType = {
    ANHUI: 2,
    GANSU: 3,
    GUANGDONG: 4,
    GUANGXI: 5,
    JIANGXI: 6,
    SICHUAN: 7,
    CHONGQING: 8,
    NEIMENG: 9,
    ZHEJIANG: 10,
    SHANDONG: 11,
    ZONGBU: 12,
    YUNNAN: 13,
    GUIZHOU: 14,
    BEIJING: 15,
    FUJIAN: 16,
    HAINAN: 17,
    HEBEI: 18,
    HENAN: 19,
    HEILONGJIANG: 20,
    HUBEI: 21,
    HUNAN: 22,
    JILIN: 23,
    JIANGSU: 24,
    LIAONING: 25,
    NINGXIA: 26,
    SHANXI: 27,
    SHAN3XI: 28,
    SHANGHAI: 29,
    TIANJIN: 30,
    XIZANG: 31,
    XINJIANG: 32,
    QINGHAI: 33,
    YJZX: 100,
};

const office = [];
office[officeType.ANHUI] = '安徽办';
office[officeType.GANSU] = '甘肃办';
office[officeType.GUANGDONG] = '广东办';
office[officeType.GUANGXI] = '广西办';
office[officeType.JIANGXI] = '江西办';
office[officeType.SICHUAN] = '四川办';
office[officeType.CHONGQING] = '重庆办';
office[officeType.NEIMENG] = '内蒙办';
office[officeType.ZHEJIANG] = '浙江办';
office[officeType.SHANDONG] = '山东办';
office[officeType.ZONGBU] = '总部';
office[officeType.YUNNAN] = '云南办';
office[officeType.GUIZHOU] = '贵州办';
office[officeType.BEIJING] = '北京办';
office[officeType.FUJIAN] = '福建办';
office[officeType.HAINAN] = '海南办';
office[officeType.HEBEI] = '河北办';
office[officeType.HENAN] = '河南办';
office[officeType.HEILONGJIANG] = '黑龙江办';
office[officeType.HUBEI] = '湖北办';
office[officeType.HUNAN] = '湖南办';
office[officeType.JILIN] = '吉林办';
office[officeType.JIANGSU] = '江苏办';
office[officeType.LIAONING] = '辽宁办';
office[officeType.NINGXIA] = '宁夏办';
office[officeType.SHANXI] = '山西办';
office[officeType.SHAN3XI] = '陕西办';
office[officeType.SHANGHAI] = '上海办';
office[officeType.TIANJIN] = '天津办';
office[officeType.XIZANG] = '西藏办';
office[officeType.XINJIANG] = '新疆办';
office[officeType.QINGHAI] = '青海办';
office[officeType.YJZX] = '总部-造价研究中心';
// const office = [
//     {id: officeType.ANHUI, name: '安徽办'},
//     {id: officeType.GANSU, name: '甘肃办'},
//     {id: officeType.GUANGDONG, name: '广东办'},
//     {id: officeType.GUANGXI, name: '广西办'},
//     {id: officeType.JIANGXI, name: '江西办'},
//     {id: officeType.SICHUAN, name: '四川办'},
//     {id: officeType.CHONGQING, name: '重庆办'},
//     {id: officeType.NEIMENG, name: '内蒙办'},
//     {id: officeType.ZHEJIANG, name: '浙江办'},
//     {id: officeType.SHANDONG, name: '山东办'},
//     {id: officeType.ZONGBU, name: '总部'},
//     {id: officeType.YUNNAN, name: '云南办'},
//     {id: officeType.GUIZHOU, name: '贵州办'},
//     {id: officeType.BEIJING, name: '北京办'},
//     {id: officeType.FUJIAN, name: '福建办'},
//     {id: officeType.HAINAN, name: '海南办'},
//     {id: officeType.HEBEI, name: '河北办'},
//     {id: officeType.HENAN, name: '河南办'},
//     {id: officeType.HEILONGJIANG, name: '黑龙江办'},
//     {id: officeType.HUBEI, name: '湖北办'},
//     {id: officeType.HUNAN, name: '湖南办'},
//     {id: officeType.JILIN, name: '吉林办'},
//     {id: officeType.JIANGSU, name: '江苏办'},
//     {id: officeType.LIAONING, name: '辽宁办'},
//     {id: officeType.NINGXIA, name: '宁夏办'}
// ];

module.exports = {
    type: officeType,
    list: office,
};
