'use strict';

/**
 * 项目节相关控制器
 *
 * @author CaiAoLin
 * @date 2018/1/4
 * @version
 */
const StandardLibController = require('./standard_lib_controller');
module.exports = app => {
    class StdXmjController extends StandardLibController {

        /**
         * 构造函数
         *
         * @param {Object} ctx - egg全局变量
         * @return {void}
         */
        constructor(ctx) {
            super(ctx, {
                model: ctx.service.stdXmj,
                listModel: ctx.service.stdXmjList,
                title: '项目节',
                viewFolder: 'std_xmj',
            });
            this.app = app;
        }
    }

    return StdXmjController;
};
