/**
 * 权限页面js
 *
 * @date 2017/4/20
 * @author caiaolin
 * @version
 */
$(document).ready(function() {
    $("input:checkbox").click(function() {
        let topEle = $(this).parent().parent();

        if (!$(this).is(':checked')) {
            let inputGroup = null;
            let childrenGroup = null;
            if (topEle.is('.sub-title')) {
                // 取消勾选了二级菜单，则子菜单全部取消
                inputGroup = topEle.nextAll('.input-group').first();
                inputGroup.find('input:checkbox').prop('checked', false);
            } else if (topEle.is('.title')) {
                // 取消勾选了顶级菜单，则其所有子菜单全部取消
                childrenGroup = topEle.nextUntil('.title');
                childrenGroup.find('input:checkbox').prop('checked', false);
            }
            return;
        }
        let subTitleEle = null;
        let titleEle = null;
        if (topEle.is('.item')) {
            // 勾选了最低级元素，两个父元素勾选上
            subTitleEle = topEle.parent().prev('.sub-title');
            subTitleEle.find('input:checkbox').prop('checked', true);

            titleEle = subTitleEle.prevAll('.title').first();
            titleEle.find('input:checkbox').prop('checked', true);
        } else if (topEle.is('.sub-title')) {
            // 勾选了二级菜单
            titleEle = topEle.prevAll('.title').first();
            titleEle.find('input:checkbox').prop('checked', true);
        }
    });
});