'use strict';

/**
 * 项目节业务逻辑
 *
 * @author CaiAoLin
 * @date 2018/1/5
 * @version
 */

const StandardLib = require('./standard_lib');
module.exports = app => {

    class StdXmj extends StandardLib {

        /**
         * 构造函数
         *
         * @param {Object} ctx - egg全局变量
         * @return {void}
         */
        constructor(ctx) {
            super(ctx, {
                mid: 'list_id',
                kid: 'chapter_id',
                pid: 'pid',
                order: 'order',
                level: 'level',
                isLeaf: 'is_leaf',
                fullPath: 'full_path',
                keyPre: 'stdXmj_maxKid:'
            }, 'std_xmj');
            this.dataId = 'chapter_id';
        }

    }

    return StdXmj;
};
