'use strict';
/**
 * 开发环境相关配置
 *
 * @author CaiAoLin
 * @date 2017/8/29
 * @version
 */

module.exports = appInfo => {
    const config = {};
    // 数据库配置
    config.mysql = {
        client: {
            // host
            host: 'smartcost.in.8866.org',
            // 端口号
            port: '26905',
            // 用户名
            user: 'zh_dev',
            // 密码
            password: 'zongheng2019',
            // 数据库名
            database: 'calculation',
            // database: 'calc_copy_pro',
        },
        // 是否加载到 app 上，默认开启
        app: true,
        // 是否加载到 agent 上，默认关闭
        agent: false,
    };

    // redis设置
    config.redis = {
        client: {
            host: 'smartcost.in.8866.org',
            port: '26906',
            password: 'zongheng2019',
            db: '0',
        },
        agent: true,
    };

    // session配置
    config.session = {
        key: 'ZHC_SESS',
        maxAge: 7 * 24 * 3600 * 1000, // 7天
        httpOnly: true,
        encrypt: true,
        //renew: true, // session临近过期更新过期时间
        rolling: true, // 每次都更新session有效期
    };

    config.min = false;

    return config;
};
