'use strict';
/**
 * 消息提示类型
 *
 * @author CaiAoLin
 * @date 2017/9/29
 * @version
 */
const duration = {
    min15: 1,
    min30: 2,
    hour1: 3,
    hour2: 4,
    forever: 5,
};
const maintain_status = {
    notset: 0,
    unstart: 1,
    ongoing: 2,
};
const durationString = [];
durationString[duration.min15] = '15分钟';
durationString[duration.min30] = '30分钟';
durationString[duration.hour1] = '1小时';
durationString[duration.hour2] = '2小时';
durationString[duration.forever] = '永久';

module.exports = {
    duration,
    status: maintain_status,
    durationString,
};
