'use strict';

/**
 * 标段相关常量
 *
 * @author CaiAoLin
 * @date 2018/2/5
 * @version
 */

// 标段状态
const status = {
    APPROVAL: 1,
};

const statusString = [];
statusString[status.APPROVAL] = '审批中';

// 标段类型
const type = {
    TJ: 1,
    XX: 2,
    YY: 3
};

const infoTableCol = [
    { title: '名称', field: 'name', folderCell: true, },
    { title: '计量期数', field: '', },
    { title: '审批状态', field: '', },
    { title: '0号台帐合同', field: '', },
    { title: '本期完成', field: '', },
    { title: '截止本期合同', field: '', },
    { title: '截止本期变更', field: '', },
    { title: '截止本期完成', field: '', },
    { title: '截止上期完成', field: '', },
    { title: '本期应付', field: '', },
];
const progressTableCol = [
    { title: '名称', field: 'name', folderCell: true, },
    { title: '完成期数', field: '', },
    { title: '累计合同计量', field: '', },
    { title: '截止本期累计完成/本期完成/未完成', field: '', },
];
const manageTableCol = [
    { title: '名称', field: 'name', folderCell: true, },
    { title: '完成期数', field: '', },
    { title: '管理', field: '', },
];

const typeString = [];
typeString[type.TJ] = '土建标';
typeString[type.XX] = 'XX标';
typeString[type.YY] = 'YY标';

module.exports = {
    status,
    statusString,
    type,
    typeString,
    infoTableCol,
    progressTableCol,
    manageTableCol,
};
