'use strict';

/**
 * 台账模板 相关控制器
 *
 * @author CaiAoLin
 * @date 2018/1/4
 * @version
 */
const StandardLibController = require('./standard_lib_controller');
module.exports = app => {
    class BillsTemplateController extends StandardLibController {

        /**
         * 构造函数
         *
         * @param {Object} ctx - egg全局变量
         * @return {void}
         */
        constructor(ctx) {
            super(ctx, {
                model: ctx.service.billsTemplate,
                listModel: ctx.service.billsTemplateList,
                title: '台账模板',
                viewFolder: 'bills_template',
            });
            this.app = app;
        }
    }

    return BillsTemplateController;
};
