'use strict';

/**
 * 工程量清单相关控制器
 *
 * @author CaiAoLin
 * @date 2018/1/10
 * @version
 */

const StandardLibController = require('./standard_lib_controller');
module.exports = app => {

    class StdGclController extends StandardLibController {

        /**
         * 构造函数
         *
         * @param {Object} ctx - egg全局变量
         * @return {void}
         */
        constructor(ctx) {
            super(ctx, {
                model: ctx.service.stdGcl,
                listModel: ctx.service.stdGclList,
                title: '工程量清单',
                viewFolder: 'std_gcl',
            });
            this.app = app;
        }
    }

    return StdGclController;
};
