'use strict';

/**
 *
 *
 * @author Mai
 * @date
 * @version
 */
const formatJSON = function (x) {
    const strArray = [];
    strArray.push('{' + '\n');
    const prop = [];
    for (const p in x) {
        prop.push(p);
    }
    for (const [i, p] of prop.entries()) {
        const value = x[p];
        if (value instanceof Array) {
            strArray.push('\t"' + p + '": [' + '\n');
            for (const [j, a] of value.entries()) {
                strArray.push('\t\t' + JSON.stringify(a));
                strArray.push((j === value.length - 1 ? '' : ',') + '\n');
            }
            strArray.push('\t' + ']');
        } else {
            strArray.push('\t"' + p + '": ' + JSON.stringify(p));
        }
        strArray.push((i === prop.length - 1 ? '' : ',') + '\n');
    }
    strArray.push('}');
    return strArray.join('');
}

$(document).ready(
    $('li[pos-tag]').click(function () {
        $("html, body").animate({ scrollTop: $($(this).attr("pos-tag")).offset().top - $(".help-content").offset().top - 5 },
            { duration: 500, easing: 'swing'});
        return false;
    })
);