/**
 * 后台主页面js
 *
 * @date 2016/4/20
 * @author caiaolin
 * @version
 */

$(document).ready(function() {
    $('input[name="maintain_time"]').datepicker({
        timepicker: true,
        language: 'zh',
        minDate:new Date(),
        onSelect: function (fd, d, picker) {
            const format = moment(Date.parse(fd)).format('YYYY年MM月DD日 HH:mm');
            $('#maintain_time').text(format);
        }
    });

    $('select[name="duration"]').change(function () {
        const val = parseInt($(this).val());
        $('#duration_time').text('');
        if (!isNaN(val) && val !== 5) {
            $('#duration_time').text('持续' + durationList[val] + '。');
        }
    });

    $('input[name="msg"]').blur(function () {
        $('#maintain_msg').html($(this).val());
    });
});
