'use strict';

/**
 * 消息发布定时任务
 *
 * @author CaiAoLin
 * @date 2017/10/26
 * @version
 */

const Subscription = require('egg').Subscription;

class MessageRelease extends Subscription {
    /**
     * 定时任务配置
     *
     * @return {Object} - 返回配置
     */
    static get schedule() {
        return {
            interval: '1m', // 1 分钟间隔
            type: 'all', // 指定所有的 worker 都需要执行
            immediate: true,
        };
    }

    /**
     * 执行定时任务
     *
     * @return {void}
     */
    * subscribe() {
        // 处理数据
        //yield this.ctx.service.message.releaseSchedule();
    }
}
module.exports = MessageRelease;
