'use strict';

/**
 * Created by Tony on 2019/6/3.
 */

const BaseService = require('../base/base_service');
module.exports = app => {

    class RptMappingField extends BaseService {

        /**
         * 构造函数
         *
         * @param {Object} ctx - egg全局变量
         * @return {void}
         */
        constructor(ctx) {
            super(ctx);
            this.tableName = 'rpt_mapping_field';
            this.dataId = 'id';
        }

        async getMappingFields() {
            this.initSqlBuilder();
            // this.sqlBuilder.setAndWhere('id', {
            //     value: id,
            //     operate: '=',
            // });
            // this.sqlBuilder.orderBy = ['seq'];
            this.sqlBuilder.columns = ['id', 'Name', 'remark', 'seq', 'items'];
            const [sql, sqlParam] = this.sqlBuilder.build(this.tableName);
            const list = await this.db.query(sql, sqlParam);
            return list;
        }
    }

    return RptMappingField;
};
