'use strict';

/**
 * 工程量清单数据模型
 *
 * @author CaiAoLin
 * @date 2018/1/10
 * @version
 */

const StandardLib = require('./standard_lib');
module.exports = app => {

    class StdGcl extends StandardLib {

        /**
         * 构造函数
         *
         * @param {Object} ctx - egg全局变量
         * @return {void}
         */
        constructor(ctx) {
            super(ctx, {
                mid: 'list_id',
                kid: 'bill_id',
                pid: 'pid',
                order: 'order',
                level: 'level',
                isLeaf: 'is_leaf',
                fullPath: 'full_path',
                keyPre: 'stdBills_maxKid:'
            }, 'std_gcl');
            this.dataId = 'bill_id';
        }
    }

    return StdGcl;
};
